List of cancellation requests
This method allows cancellation requests for a sale to be listed.
Access method
GET /salecancellationrequest
Request structure
PartnerSaleIds: (list)Required. List of partner identifiers.FromCreatedDateTime: (date).OptionalInitial transaction creation date. ISO 8601 format (YYYY-MM-DD).ToCreatedDateTime: (date).OptionalFinal transaction creation date. ISO 8601 format (YYYY-MM-DD).FromUpdatedDateTime: (date).OptionalInitial access date. ISO 8601 format (YYYY-MM-DD).ToUpdatedDateTime: (date).OptionalFinal access date. ISO 8601 format (YYYY-MM-DD).Page: (int).OptionalPage number to retrieve. Default value1.
Request example
Examples
Ejemplo de petición de JSON formateada:
{
"PartnerSaleIds": ["stf9gy7i3xawa","iyh143uykd3qc"],
"Page": 1
}
Response structure
Timestamp: (dateTime). Time at which the request was processed. ISO 8601 format (yyyy-MM-ddThh:mm:ss.fffffff).-
Sales: (list). List of sales.PartnerSaleId: (string). List of activities.CancellationRequests: (Object). Economic concepts of a sale.ExperticketName: (string). Experticket name.CancellationRequestId: (string). Cancellation request identifier.SaleId: (Object). Sale identifier.PartnerSaleId: (string). Partner sale identifier.CreatedDateTime: (date). Cancellation request date.UpdatedDateTime: (date). Cancellation request date.-
Status: (string). Cancellation status.Possible values
Aquí está la lista de estados de la solicitud de cancelación:
- 0: Ninguno.
- 1: En Proceso.
- 2: Aceptada.
- 3: Rechazada.
- 3: Fallida.
-
StatusComments: (string). Cancellation request status comments. -
Reason: (byte). Cancellation status.Possible values
Aquí está la lista de razones de la solicitud de cancelación:
- 1: Cambio en fechas de acceso.
- 2: Cambio de productos.
- 3: Cambio en cantidad de asistentes.
- 4: Enfermedad común.
- 5: Gestión indebida de venta de entradas.
- 6: Problemas con la integración.
- 7: Error en el pago.
-
ReasonComments: (string). Cancellation request status comments. PageNumber: (int). Indicates the requested page.HasPreviousPage: (boolean). Indicates whether there is a previous page before the requested one.HasNextPage: (boolean). Indicates whether there is a next page.IsFirstPage: (boolean). Indicates whether the requested page corresponds to the first page.
-
Success: (boolean). Value that indicates whether the call was processed correctly or not. Errors: (list). Array of errors.Error: (object).ErrorMessage: (string). Error message explaining why the request was not successful. If it was correct, it will returnnull.ErrorCode: (int). Code that identifies the error.
ErrorEntityBreakDown(list): list that contains objects with the name and ID in case of error.Id(string): identifierName(string): related name of the identifier.
Response example
Examples
Ejemplo de respuesta JSON formateada:
{
"CancellationRequests": [
{
"CancellationRequestId": "syw353uykd3qc",
"SaleId": "5056615501717130434",
"PartnerSaleId": "stf9gy7i3xawa",
"CreatedDateTime": "2001-01-05T18:57:00",
"UpdatedDateTime": "2001-01-05T18:57:00",
"Status": 1,
"StatusComments": "",
"Reason": 2,
"ReasonComments": "",
},
{
"CancellationRequestId": "1f48ahtxzphdg",
"SaleId": "5056615501717130434",
"PartnerSaleId": "iyh143uykd3qc",
"CreatedDateTime": "2001-01-05T15:57:00",
"UpdatedDateTime": "2001-01-05T17:45:00",
"Status": 2,
"StatusComments": "",
"Reason": 2,
"ReasonComments": "",
}
],
"PageNumber": 1,
"PageSize": 200,
"HasPreviousPage": false,
"HasNextPage": false,
"IsFirstPage": true,
"Success": true,
"Timestamp": "2021-02-18T17:02:27.8165916",
"ErrorEntityBreakDown": []
}